spring:
    profiles:
        active: tsit
    cache.type: redis
    redis:
        lettuce:
            pool:
                max-active: 10
                max-idle: 10
                min-idle: 2
        host: localhost
        port: 6379
        password:

# SSL Server
has-ssl: false

logging:
    config: classpath:log/logback-tsit.xml

domain:
    admin: //tdadmin.style24.com
    front: //ts5000.ipdisk.co.kr
    image: //tdimage.style24.com
#    image: //ts5000.ipdisk.co.kr:8999
#    uximage: //tdimage.style24.com
#    uximage: //image.istyle24.com/Style24
    uximage: //ts5000.ipdisk.co.kr:8999

upload:
    default:
        target.path: /TSIT/servers/files/data/style24
        max.size: 10
        allow.extension: jpg|gif|jpeg|png|bmp|txt|doc|docx|ppt|pptx|xls|xlsx|hwp|pdf
#        view: //tdimage.style24.com
        view: //ts5000.ipdisk.co.kr:8999
    goods:
        target.path: /TSIT/servers/files/data/style24/Upload/ProductImage
        max.size: 10
        allow.extension: jpg|gif|jpeg|png
        view: //image.istyle24.com/Upload/ProductImage
    image:
        target.path: /TSIT/servers/files/data/style24
        max.size: 10
        allow.extension: jpg|gif|jpeg|png
#        view: //tdimage.style24.com
        view: //ts5000.ipdisk.co.kr:8999
    excel:
        target.path: /TSIT/servers/files/data/style24/excel
        max.size: 10
        allow.extension: xls|xlsx
#        view: //tdimage.style24.com/excel
        view: //ts5000.ipdisk.co.kr:8999/excel
    sample:
        target.path: /WIDE/workspace/files/data/style24/sample
        max.size: 10
        allow.extension: txt|doc|docx|ppt|pptx|xls|xlsx|hwp|pdf
#        view: //tdimage.style24.com/sample
        view: //ts5000.ipdisk.co.kr:8999/sample

download.path: /TSIT/servers/files/data

# USAFE 보증보험 정보
usafe.guarantee:
    mall.id: TEST00
    send.url: http://gateway.usafe.co.kr/esafe/guartrn.asp


# PG
pg:
    kcp:
        log.dir: D:/TSIT/servers/bin/apache-tomcat/startup/style24/style24.front/kcpLogs/front
        gw:
            url: testpaygw.kcp.co.kr
            port: 8090
        js.url: https://testpay.kcp.co.kr/plugin/payplus_web.jsp
        app.url: style24://order/pay/result/response?AppUrl=Kftc-bankpay
        server: false
        site:
            cd: U3476
            key:
            name: KCP TEST SHOP
        log.level: 3
        module.type: 01
        tx.mode: 0
        receipt.url : https://testadmin8.kcp.co.kr/assist/bill.BillActionNew.do

# 네이버페이 API
naverPay:
    apiUrl: https://dev.apis.naver.com/
    payUrl:
        web : test-pay.naver.com
        mob : test-m.pay.naver.com
    shop.id : istyle24
    button.key : 3A1578F9-6824-4FCF-AC8D-262318C63227
    button.pc.js.url: https://test-pay.naver.com/customer/js/naverPayButton.js
    button.mobile.js.url: https://test-pay.naver.com/customer/js/mobile/naverPayButton.js
    common.certification.key : s_3799db3bf4af
    certification.key: E3122594-C690-4542-B3A0-E74ABD4E8222
    order.api.url: https://test-api.pay.naver.com/o/customer/api/order/v20/register
    order.pc.url: https://test-order.pay.naver.com/customer/buy/
    order.mobile.url: https://test-m.pay.naver.com/o/customer/buy/
    access.license: 01000100005b15bb8faab722d100d589f34bd64843659e37a168b3617443c4f52a3fda45b8
    secret.key: AQABAADtZ/jOC1Y3LNsyI0TWwCMvPfrg0sqM9pnxliSegbjSqQ==
    port.address: http://sandbox.api.naver.com/Checkout/MallService5
    service.name: MallService5
    version: 5.0

#카카오 API
kakao:
    cid : TC0ONETIME
    appId : 399207
    appName : 구축용 테스트앱
    companyName : 예스이십사
    nativeAppKey : f961e612e07b47aa2d1884714518a194
    restApiKey: b3955cef0328a09156c7e25f18552164
    javascriptKey : 06cab652ad5d25be2190388d11a88fa4
    adminKey : a25ca74dde640f3a63a8d8442fe35fcd
    addressApiRequestUrl : https://dapi.kakao.com/v2/local/search/address.json?page=1&query=
    login.callbackUrl: /signin/snsLoginCallback?snsType=KK
    tokenUrl: https://kauth.kakao.com/oauth/token
    userInfoUrl: https://kapi.kakao.com/v2/user/me
    authorizeUrl: https://kauth.kakao.com/oauth/authorize
    unlinkUrl : https://kapi.kakao.com/v1/user/unlink
    paymentReadyUrl : https://kapi.kakao.com/v1/payment/ready
    paymentRedirectUrl : /order/kakao/payment/request
    approvePaymentUrl : https://kapi.kakao.com/v1/payment/approve
    paymentOrderUrl : https://kapi.kakao.com/v1/payment/order
    cancelPaymentUrl : https://kapi.kakao.com/v1/payment/cancel

# 검색엔진(NHN다이퀘스트)
search:
    engine:
        diquest.ip: 133.186.171.33 #개발
        diquest.port: 44555 #개발
